<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PublishArtifact (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PublishArtifact (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/PublishArtifact.html" target="_top">Frames</a></li>
<li><a href="PublishArtifact.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.artifacts</div>
<h2 title="Interface PublishArtifact" class="title">Interface PublishArtifact</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/artifacts/ConfigurablePublishArtifact.html" title="interface in org.gradle.api.artifacts">ConfigurablePublishArtifact</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd>org.gradle.api.internal.artifacts.publish.AbstractPublishArtifact, <a href="../../../../org/gradle/plugins/signing/Signature.html" title="class in org.gradle.plugins.signing">Signature</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">PublishArtifact</span>
extends <a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></pre>
<div class="block"><p>A <code>PublishArtifact</code> is an artifact produced by a project.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html#getClassifier()">getClassifier</a></strong>()</code>
<div class="block">Returns the classifier of this published artifact, if any.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html#getDate()">getDate</a></strong>()</code>
<div class="block">Returns the date that should be used when publishing this artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html#getExtension()">getExtension</a></strong>()</code>
<div class="block">Returns the extension of this published artifact.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html#getFile()">getFile</a></strong>()</code>
<div class="block">Returns the file of this artifact.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html#getName()">getName</a></strong>()</code>
<div class="block">Returns the name of the artifact.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/artifacts/PublishArtifact.html#getType()">getType</a></strong>()</code>
<div class="block">Returns the type of the published artifact.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the name of the artifact.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The name. Never null.</dd></dl>
</li>
</ul>
<a name="getExtension()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExtension</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getExtension()</pre>
<div class="block">Returns the extension of this published artifact. Often the extension is the same as the type,
 but sometimes this is not the case. For example for an ivy XML module descriptor, the type is
 <em>ivy</em> and the extension is <em>xml</em>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The extension. Never null.</dd></dl>
</li>
</ul>
<a name="getType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getType</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getType()</pre>
<div class="block">Returns the type of the published artifact. Often the type is the same as the extension,
 but sometimes this is not the case. For example for an ivy XML module descriptor, the type is
 <em>ivy</em> and the extension is <em>xml</em>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The type. Never null.</dd></dl>
</li>
</ul>
<a name="getClassifier()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassifier</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getClassifier()</pre>
<div class="block">Returns the classifier of this published artifact, if any.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The classifier. May be null.</dd></dl>
</li>
</ul>
<a name="getFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getFile()</pre>
<div class="block">Returns the file of this artifact.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The file. Never null.</dd></dl>
</li>
</ul>
<a name="getDate()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDate</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Date.html?is-external=true" title="class or interface in java.util">Date</a>&nbsp;getDate()</pre>
<div class="block">Returns the date that should be used when publishing this artifact. This is used
 in the module descriptor accompanying this artifact (the ivy.xml). If the date is
 not specified, the current date is used. If this artifact
 is published without an module descriptor, this property has no relevance.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The date. May be null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/artifacts/ProjectDependency.html" title="interface in org.gradle.api.artifacts"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/artifacts/PublishArtifactSet.html" title="interface in org.gradle.api.artifacts"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/artifacts/PublishArtifact.html" target="_top">Frames</a></li>
<li><a href="PublishArtifact.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
